import path from "path";

import { createReadAllPage } from "@/components/OrganizedContent/ReadAll";
import { createReadAllGetStaticProps } from "@/components/OrganizedContent/static";
import {
  mobileShapesConfig,
  aboutShapesConfig,
} from "@/components/ShapesBackground";

export const options = {
  title: "Code of Conduct",
  image: "images/code-of-conduct.svg",
  pagePath: path.join("about", "code-of-conduct"),
  getShapesConfig: () =>
    window.innerWidth <= 768 ? mobileShapesConfig : aboutShapesConfig,
};

export default createReadAllPage(options);

export const getStaticProps = createReadAllGetStaticProps(options.pagePath);
